searchData={"items":[{"type":"module","title":"Kanta","doc":"Main Kanta supervisor","ref":"Kanta.html"},{"type":"function","title":"Kanta.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Kanta.html#child_spec/1"},{"type":"function","title":"Kanta.config/1","doc":"","ref":"Kanta.html#config/1"},{"type":"function","title":"Kanta.plugin_enabled?/1","doc":"","ref":"Kanta.html#plugin_enabled?/1"},{"type":"function","title":"Kanta.start_link/1","doc":"","ref":"Kanta.html#start_link/1"},{"type":"module","title":"Kanta.Cache","doc":"Kanta Cache for minimalizing calls to DB","ref":"Kanta.Cache.html"},{"type":"function","title":"Kanta.Cache.__primary__/0","doc":"A convenience function for getting the primary storage cache.","ref":"Kanta.Cache.html#__primary__/0"},{"type":"function","title":"Kanta.Cache.generate_cache_key/2","doc":"","ref":"Kanta.Cache.html#generate_cache_key/2"},{"type":"function","title":"Kanta.Cache.get_node/1","doc":"A convenience function to get the node of the given `key`.","ref":"Kanta.Cache.html#get_node/1"},{"type":"function","title":"Kanta.Cache.join_cluster/0","doc":"A convenience function for joining the cache to the cluster.","ref":"Kanta.Cache.html#join_cluster/0"},{"type":"function","title":"Kanta.Cache.leave_cluster/0","doc":"A convenience function for removing the cache from the cluster.","ref":"Kanta.Cache.html#leave_cluster/0"},{"type":"function","title":"Kanta.Cache.nodes/0","doc":"A convenience function for getting the cluster nodes.","ref":"Kanta.Cache.html#nodes/0"},{"type":"module","title":"Kanta.Cache.Primary","doc":"This is the cache for the primary storage.","ref":"Kanta.Cache.Primary.html"},{"type":"function","title":"Kanta.Cache.Primary.generations/0","doc":"A convenience function for retrieving the current generations.","ref":"Kanta.Cache.Primary.html#generations/0"},{"type":"function","title":"Kanta.Cache.Primary.new_generation/1","doc":"A convenience function for creating new generations.","ref":"Kanta.Cache.Primary.html#new_generation/1"},{"type":"function","title":"Kanta.Cache.Primary.newer_generation/0","doc":"A convenience function for retrieving the newer generation.","ref":"Kanta.Cache.Primary.html#newer_generation/0"},{"type":"function","title":"Kanta.Cache.Primary.reset_generation_timer/0","doc":"A convenience function for reset the GC timer.","ref":"Kanta.Cache.Primary.html#reset_generation_timer/0"},{"type":"module","title":"Kanta.Config","doc":"Kanta configuration helper","ref":"Kanta.Config.html"},{"type":"function","title":"Kanta.Config.new/1","doc":"Generate a Config struct after normalizing and verifying Kanta options.\n\nSee `Kanta.start_link/1` for a comprehensive description of available options.","ref":"Kanta.Config.html#new/1"},{"type":"function","title":"Example - Kanta.Config.new/1","doc":"Generate a minimal config with only a `:repo`:\n\n    Kanta.Config.new(repo: Kanta.Test.Repo)","ref":"Kanta.Config.html#new/1-example"},{"type":"function","title":"Kanta.Config.validate/1","doc":"","ref":"Kanta.Config.html#validate/1"},{"type":"type","title":"Kanta.Config.t/0","doc":"","ref":"Kanta.Config.html#t:t/0"},{"type":"module","title":"Kanta.Gettext.Repo","doc":"","ref":"Kanta.Gettext.Repo.html"},{"type":"function","title":"Kanta.Gettext.Repo.get_plural_translation/7","doc":"","ref":"Kanta.Gettext.Repo.html#get_plural_translation/7"},{"type":"function","title":"Kanta.Gettext.Repo.get_translation/5","doc":"","ref":"Kanta.Gettext.Repo.html#get_translation/5"},{"type":"function","title":"Kanta.Gettext.Repo.init/1","doc":"","ref":"Kanta.Gettext.Repo.html#init/1"},{"type":"behaviour","title":"Kanta.Migration","doc":"Migrations create and modify the database tables Kanta needs to function.","ref":"Kanta.Migration.html"},{"type":"behaviour","title":"Usage - Kanta.Migration","doc":"To use migrations in your application you'll need to generate an `Ecto.Migration` that wraps\ncalls to `Kanta.Migration`:\n\n```bash\nmix ecto.gen.migration add_kanta\n```\n\nOpen the generated migration in your editor and call the `up` and `down` functions on\n`Kanta.Migration`:\n\n```elixir\ndefmodule MyApp.Repo.Migrations.AddKanta do\n  use Ecto.Migration\n\n  def up, do: Kanta.Migration.up()\n\n  def down, do: Kanta.Migration.down()\nend\n```\n\nThis will run all of Kanta's versioned migrations for your database.\n\nNow, run the migration to create the table:\n\n```bash\nmix ecto.migrate\n```\n\nMigrations between versions are idempotent. As new versions are released, you may need to run\nadditional migrations. To do this, generate a new migration:\n\n```bash\nmix ecto.gen.migration upgrade_kanta_to_v11\n```\n\nOpen the generated migration in your editor and call the `up` and `down` functions on\n`Kanta.Migration`, passing a version number:\n\n```elixir\ndefmodule MyApp.Repo.Migrations.UpgradeKantaToV11 do\n  use Ecto.Migration\n\n  def up, do: Kanta.Migration.up(version: 11)\n\n  def down, do: Kanta.Migration.down(version: 11)\nend\n```","ref":"Kanta.Migration.html#module-usage"},{"type":"behaviour","title":"Isolation with Prefixes - Kanta.Migration","doc":"Kanta supports namespacing through PostgreSQL schemas, also called \"prefixes\" in Ecto. With\nprefixes your jobs table can reside outside of your primary schema (usually public) and you can\nhave multiple separate job tables.\n\nTo use a prefix you first have to specify it within your migration:\n\n```elixir\ndefmodule MyApp.Repo.Migrations.AddPrefixedKantaJobsTable do\n  use Ecto.Migration\n\n  def up, do: Kanta.Migrations.up(prefix: \"private\")\n\n  def down, do: Kanta.Migrations.down(prefix: \"private\")\nend\n```\n\nThe migration will create the \"private\" schema and all tables, functions and triggers within\nthat schema. With the database migrated you'll then specify the prefix in your configuration:\n\n```elixir\nconfig :my_app, Kanta,\n  prefix: \"private\",\n  ...\n```\n\nIn some cases, for example if your \"private\" schema already exists and your database user in\nproduction doesn't have permissions to create a new schema, trying to create the schema from the\nmigration will result in an error. In such situations, it may be useful to inhibit the creation\nof the \"private\" schema:\n\n```elixir\ndefmodule MyApp.Repo.Migrations.AddPrefixedKantaJobsTable do\n  use Ecto.Migration\n\n  def up, do: Kanta.Migrations.up(prefix: \"private\", create_schema: false)\n\n  def down, do: Kanta.Migrations.down(prefix: \"private\")\nend\n```","ref":"Kanta.Migration.html#module-isolation-with-prefixes"},{"type":"behaviour","title":"Migrating Without Ecto - Kanta.Migration","doc":"If your application uses something other than Ecto for migrations, be it an external system or\nanother ORM, it may be helpful to create plain SQL migrations for Kanta database schema changes.\n\nThe simplest mechanism for obtaining the SQL changes is to create the migration locally and run\n`mix ecto.migrate --log-migrations-sql`. That will log all of the generated SQL, which you can\nthen paste into your migration system of choice.\n\nAlternatively, if you'd like a more automated approach, try using the [kanta_migations_sql][sql]\nproject to generate `up` and `down` SQL migrations for you.\n\n[sql]: https://github.com/btwb/kanta_migrations_sql","ref":"Kanta.Migration.html#module-migrating-without-ecto"},{"type":"function","title":"Kanta.Migration.down/1","doc":"Run the `down` changes for all migrations between the current version and the initial version.","ref":"Kanta.Migration.html#down/1"},{"type":"function","title":"Example - Kanta.Migration.down/1","doc":"Run all migrations from current version down to the first:\n\n    Kanta.Migration.down()\n\nRun migrations down to and including a specified version:\n\n    Kanta.Migration.down(version: 5)\n\nRun migrations in an alternate prefix:\n\n    Kanta.Migration.down(prefix: \"payments\")","ref":"Kanta.Migration.html#down/1-example"},{"type":"callback","title":"Kanta.Migration.down/1","doc":"Migrates storage down to the previous version.","ref":"Kanta.Migration.html#c:down/1"},{"type":"function","title":"Kanta.Migration.migrated_version/1","doc":"Check the latest version the database is migrated to.","ref":"Kanta.Migration.html#migrated_version/1"},{"type":"function","title":"Example - Kanta.Migration.migrated_version/1","doc":"Kanta.Migration.migrated_version()","ref":"Kanta.Migration.html#migrated_version/1-example"},{"type":"callback","title":"Kanta.Migration.migrated_version/1","doc":"Identifies the last migrated version.","ref":"Kanta.Migration.html#c:migrated_version/1"},{"type":"function","title":"Kanta.Migration.up/1","doc":"Run the `up` changes for all migrations between the initial version and the current version.","ref":"Kanta.Migration.html#up/1"},{"type":"function","title":"Example - Kanta.Migration.up/1","doc":"Run all migrations up to the current version:\n\n    Kanta.Migration.up()\n\nRun migrations up to a specified version:\n\n    Kanta.Migration.up(version: 2)\n\nRun migrations in an alternate prefix:\n\n    Kanta.Migration.up(prefix: \"payments\")\n\nRun migrations in an alternate prefix but don't try to create the schema:\n\n    Kanta.Migration.up(prefix: \"payments\", create_schema: false)","ref":"Kanta.Migration.html#up/1-example"},{"type":"callback","title":"Kanta.Migration.up/1","doc":"Migrates storage up to the latest version.","ref":"Kanta.Migration.html#c:up/1"},{"type":"module","title":"Kanta.Migrations.Postgresql.V01","doc":"Kanta V1 Migrations","ref":"Kanta.Migrations.Postgresql.V01.html"},{"type":"function","title":"Kanta.Migrations.Postgresql.V01.down/1","doc":"","ref":"Kanta.Migrations.Postgresql.V01.html#down/1"},{"type":"function","title":"Kanta.Migrations.Postgresql.V01.up/1","doc":"","ref":"Kanta.Migrations.Postgresql.V01.html#up/1"},{"type":"module","title":"Kanta.Migrations.Postgresql.V02","doc":"Kanta V2 Migrations","ref":"Kanta.Migrations.Postgresql.V02.html"},{"type":"function","title":"Kanta.Migrations.Postgresql.V02.down/1","doc":"","ref":"Kanta.Migrations.Postgresql.V02.html#down/1"},{"type":"function","title":"Kanta.Migrations.Postgresql.V02.down_fuzzy_search/1","doc":"","ref":"Kanta.Migrations.Postgresql.V02.html#down_fuzzy_search/1"},{"type":"function","title":"Kanta.Migrations.Postgresql.V02.up/1","doc":"","ref":"Kanta.Migrations.Postgresql.V02.html#up/1"},{"type":"function","title":"Kanta.Migrations.Postgresql.V02.up_fuzzy_search/1","doc":"","ref":"Kanta.Migrations.Postgresql.V02.html#up_fuzzy_search/1"},{"type":"module","title":"Kanta.POFiles.MessagesExtractor","doc":"Handler responsible for extracting data from .po files","ref":"Kanta.POFiles.MessagesExtractor.html"},{"type":"function","title":"Kanta.POFiles.MessagesExtractor.call/0","doc":"","ref":"Kanta.POFiles.MessagesExtractor.html#call/0"},{"type":"module","title":"Kanta.POFiles.MessagesExtractorAgent","doc":"GenServer responsible for extracting messages and translations from .po files","ref":"Kanta.POFiles.MessagesExtractorAgent.html"},{"type":"function","title":"Kanta.POFiles.MessagesExtractorAgent.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Kanta.POFiles.MessagesExtractorAgent.html#child_spec/1"},{"type":"function","title":"Kanta.POFiles.MessagesExtractorAgent.start_link/1","doc":"","ref":"Kanta.POFiles.MessagesExtractorAgent.html#start_link/1"},{"type":"module","title":"Kanta.PoFiles.Services.ExtractMessage","doc":"Service responsible for extracting gettext messages from .po files","ref":"Kanta.PoFiles.Services.ExtractMessage.html"},{"type":"function","title":"Kanta.PoFiles.Services.ExtractMessage.call/1","doc":"","ref":"Kanta.PoFiles.Services.ExtractMessage.html#call/1"},{"type":"module","title":"Kanta.PoFiles.Services.ExtractPluralTranslation","doc":"Service for extracting plural messages and translations from .po files","ref":"Kanta.PoFiles.Services.ExtractPluralTranslation.html"},{"type":"function","title":"Kanta.PoFiles.Services.ExtractPluralTranslation.call/1","doc":"","ref":"Kanta.PoFiles.Services.ExtractPluralTranslation.html#call/1"},{"type":"module","title":"Kanta.PoFiles.Services.ExtractSingularTranslation","doc":"Service for extracting singular messages and translations from .po files","ref":"Kanta.PoFiles.Services.ExtractSingularTranslation.html"},{"type":"function","title":"Kanta.PoFiles.Services.ExtractSingularTranslation.call/1","doc":"","ref":"Kanta.PoFiles.Services.ExtractSingularTranslation.html#call/1"},{"type":"module","title":"Kanta.Query","doc":"This module is a base for all queries modules in the app.\n\n  Including it into given resource query module is as easy as:\n  ```\n  use Kanta.Query,\n    module: Kanta.ResourceModuleGoesHere,\n    binding: :resource_binding_goes_here\n  ```","ref":"Kanta.Query.html"},{"type":"module","title":"Kanta.Registry","doc":"Kanta Registry","ref":"Kanta.Registry.html"},{"type":"function","title":"Kanta.Registry.child_spec/1","doc":"","ref":"Kanta.Registry.html#child_spec/1"},{"type":"function","title":"Kanta.Registry.config/1","doc":"Fetch the config for an Kanta supervisor instance.","ref":"Kanta.Registry.html#config/1"},{"type":"function","title":"Example - Kanta.Registry.config/1","doc":"Get the default instance config:\n\n    Kanta.Registry.config(Kanta)\n\nGet config for a custom named instance:\n\n    Kanta.Registry.config(MyApp.Kanta)","ref":"Kanta.Registry.html#config/1-example"},{"type":"function","title":"Kanta.Registry.lookup/2","doc":"Find the `{pid, value}` pair for a registered Kanta process.","ref":"Kanta.Registry.html#lookup/2"},{"type":"function","title":"Example - Kanta.Registry.lookup/2","doc":"Get the default instance config:\n\n    Kanta.Registry.lookup(Kanta)\n\nGet a supervised module's pid:\n\n    Kanta.Registry.lookup(Kanta, Kanta.Notifier)","ref":"Kanta.Registry.html#lookup/2-example"},{"type":"function","title":"Kanta.Registry.via/3","doc":"Build a via tuple suitable for calls to a supervised Kanta process.","ref":"Kanta.Registry.html#via/3"},{"type":"function","title":"Example - Kanta.Registry.via/3","doc":"For an Kanta supervisor:\n\n    Kanta.Registry.via(Kanta)\n\nFor a plugin:\n\n    Kanta.Registry.via(Kanta, {:plugin, Kanta.DeepL.Plugin})","ref":"Kanta.Registry.html#via/3-example"},{"type":"function","title":"Kanta.Registry.whereis/2","doc":"Returns the pid of a supervised Kanta process, or `nil` if the process can't be found.","ref":"Kanta.Registry.html#whereis/2"},{"type":"function","title":"Example - Kanta.Registry.whereis/2","doc":"Get the Kanta supervisor's pid:\n\n    Kanta.Registry.whereis(Kanta)\n\nGet the pid for a plugin:\n\n    Kanta.Registry.whereis(Kanta, {:plugin, MyApp.Kanta.Plugin})","ref":"Kanta.Registry.html#whereis/2-example"},{"type":"module","title":"Kanta.Repo","doc":"","ref":"Kanta.Repo.html"},{"type":"function","title":"Kanta.Repo.get_repo/0","doc":"","ref":"Kanta.Repo.html#get_repo/0"},{"type":"module","title":"Kanta.Translations","doc":"Main Kanta Translations context","ref":"Kanta.Translations.html"},{"type":"function","title":"Kanta.Translations.create_context/1","doc":"","ref":"Kanta.Translations.html#create_context/1"},{"type":"function","title":"Kanta.Translations.create_domain/1","doc":"","ref":"Kanta.Translations.html#create_domain/1"},{"type":"function","title":"Kanta.Translations.create_message/1","doc":"","ref":"Kanta.Translations.html#create_message/1"},{"type":"function","title":"Kanta.Translations.create_plural_translation/1","doc":"","ref":"Kanta.Translations.html#create_plural_translation/1"},{"type":"function","title":"Kanta.Translations.create_singular_translation/1","doc":"","ref":"Kanta.Translations.html#create_singular_translation/1"},{"type":"function","title":"Kanta.Translations.get_context/1","doc":"","ref":"Kanta.Translations.html#get_context/1"},{"type":"function","title":"Kanta.Translations.get_domain/1","doc":"","ref":"Kanta.Translations.html#get_domain/1"},{"type":"function","title":"Kanta.Translations.get_locale/1","doc":"","ref":"Kanta.Translations.html#get_locale/1"},{"type":"function","title":"Kanta.Translations.get_message/1","doc":"","ref":"Kanta.Translations.html#get_message/1"},{"type":"function","title":"Kanta.Translations.get_messages_count/0","doc":"","ref":"Kanta.Translations.html#get_messages_count/0"},{"type":"function","title":"Kanta.Translations.get_plural_translation/1","doc":"","ref":"Kanta.Translations.html#get_plural_translation/1"},{"type":"function","title":"Kanta.Translations.get_singular_translation/1","doc":"","ref":"Kanta.Translations.html#get_singular_translation/1"},{"type":"function","title":"Kanta.Translations.list_contexts/1","doc":"","ref":"Kanta.Translations.html#list_contexts/1"},{"type":"function","title":"Kanta.Translations.list_domains/1","doc":"","ref":"Kanta.Translations.html#list_domains/1"},{"type":"function","title":"Kanta.Translations.list_locales/1","doc":"","ref":"Kanta.Translations.html#list_locales/1"},{"type":"function","title":"Kanta.Translations.list_messages/1","doc":"","ref":"Kanta.Translations.html#list_messages/1"},{"type":"function","title":"Kanta.Translations.list_plural_translations/1","doc":"","ref":"Kanta.Translations.html#list_plural_translations/1"},{"type":"function","title":"Kanta.Translations.update_locale/2","doc":"","ref":"Kanta.Translations.html#update_locale/2"},{"type":"function","title":"Kanta.Translations.update_plural_translation/2","doc":"","ref":"Kanta.Translations.html#update_plural_translation/2"},{"type":"function","title":"Kanta.Translations.update_singular_translation/2","doc":"","ref":"Kanta.Translations.html#update_singular_translation/2"},{"type":"module","title":"Kanta.Translations.Context","doc":"Gettext Context DB model","ref":"Kanta.Translations.Context.html"},{"type":"function","title":"Kanta.Translations.Context.changeset/2","doc":"","ref":"Kanta.Translations.Context.html#changeset/2"},{"type":"type","title":"Kanta.Translations.Context.t/0","doc":"","ref":"Kanta.Translations.Context.html#t:t/0"},{"type":"module","title":"Kanta.Translations.ContextSpec","doc":"Includes type specs for context.","ref":"Kanta.Translations.ContextSpec.html"},{"type":"type","title":"Kanta.Translations.ContextSpec.t/0","doc":"","ref":"Kanta.Translations.ContextSpec.html#t:t/0"},{"type":"module","title":"Kanta.Translations.Contexts","doc":"Gettext Contexts Kanta subcontext","ref":"Kanta.Translations.Contexts.html"},{"type":"function","title":"Kanta.Translations.Contexts.create_context/1","doc":"","ref":"Kanta.Translations.Contexts.html#create_context/1"},{"type":"function","title":"Kanta.Translations.Contexts.get_context/1","doc":"","ref":"Kanta.Translations.Contexts.html#get_context/1"},{"type":"function","title":"Kanta.Translations.Contexts.list_contexts/1","doc":"","ref":"Kanta.Translations.Contexts.html#list_contexts/1"},{"type":"module","title":"Kanta.Translations.Contexts.Finders.GetContext","doc":"Query module aka Finder responsible for finding gettext context","ref":"Kanta.Translations.Contexts.Finders.GetContext.html"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.GetContext.base/0","doc":"","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#base/0"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.GetContext.count/2","doc":"Counts resources by specific column.","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#count/2"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.GetContext.count/2","doc":"iex> Kanta.Accounts.UserQueries.count(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#count/2-examples"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.GetContext.filter_query/2","doc":"Filters given resource by specific criterias. Filters should be pass to the function as map `%{\"field_name\" => filter_value}`.\nIt supports associations: `%{\"association\" => %{\"field_name\" => filter_value}}`\nand nested associations `%{\"association\" => %{\"nested association\" => %{\"field_name\" => filter_value}}}`","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#filter_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.GetContext.filter_query/2","doc":"iex> Kanta.Accounts.UserQueries.filter_query(%{\"email\" => \"a@a.com\"})\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#filter_query/2-examples"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.GetContext.find/1","doc":"","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#find/1"},{"type":"macro","title":"Kanta.Translations.Contexts.Finders.GetContext.null_or_empty/1","doc":"","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#null_or_empty/1"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.GetContext.one/2","doc":"","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#one/2"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.GetContext.order_query/2","doc":"","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#order_query/2"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.GetContext.paginate/3","doc":"","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#paginate/3"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.GetContext.preload_resources/2","doc":"Preloads resources for given resource.","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#preload_resources/2"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.GetContext.preload_resources/2","doc":"iex> Kanta.Accounts.UserQueries.preload_resources(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#preload_resources/2-examples"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.GetContext.search_query/2","doc":"Search for rows by given text.","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#search_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.GetContext.search_query/2","doc":"iex> Kanta.Accounts.UserQueries.search_query(\"some text\")\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#search_query/2-examples"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.GetContext.select_column/2","doc":"Select specific one column from resource.","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#select_column/2"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.GetContext.select_column/2","doc":"iex> Kanta.Accounts.UserQueries.select_column(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#select_column/2-examples"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.GetContext.undeleted_query/1","doc":"","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#undeleted_query/1"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.GetContext.unique/2","doc":"Returns unique resources.","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#unique/2"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.GetContext.unique/2","doc":"iex> Kanta.Accounts.UserQueries.unique()\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#unique/2-examples"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.GetContext.with_join/3","doc":"Joins resource with another resource.\n\n*Important!* The joining has to be defined by join_resource/3 function. Example:\n```\ndefp join_resource(query, :articles, opts) do\n  query\n  |> join(:left, [user: u], _ in assoc(u, :articles), as: :article)\nend\n```\n\nFirst argument is a query and second argument is pattern-matched atom.","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#with_join/3"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.GetContext.with_join/3","doc":"iex> Kanta.Accounts.UserQueries.with_join(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.GetContext.html#with_join/3-examples"},{"type":"module","title":"Kanta.Translations.Contexts.Finders.ListContexts","doc":"Query module aka Finder responsible for listing gettext contexts","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.ListContexts.base/0","doc":"","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#base/0"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.ListContexts.count/2","doc":"Counts resources by specific column.","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#count/2"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.ListContexts.count/2","doc":"iex> Kanta.Accounts.UserQueries.count(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#count/2-examples"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.ListContexts.filter_query/2","doc":"Filters given resource by specific criterias. Filters should be pass to the function as map `%{\"field_name\" => filter_value}`.\nIt supports associations: `%{\"association\" => %{\"field_name\" => filter_value}}`\nand nested associations `%{\"association\" => %{\"nested association\" => %{\"field_name\" => filter_value}}}`","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#filter_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.ListContexts.filter_query/2","doc":"iex> Kanta.Accounts.UserQueries.filter_query(%{\"email\" => \"a@a.com\"})\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#filter_query/2-examples"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.ListContexts.find/1","doc":"","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#find/1"},{"type":"macro","title":"Kanta.Translations.Contexts.Finders.ListContexts.null_or_empty/1","doc":"","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#null_or_empty/1"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.ListContexts.one/2","doc":"","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#one/2"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.ListContexts.order_query/2","doc":"","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#order_query/2"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.ListContexts.paginate/3","doc":"","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#paginate/3"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.ListContexts.preload_resources/2","doc":"Preloads resources for given resource.","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#preload_resources/2"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.ListContexts.preload_resources/2","doc":"iex> Kanta.Accounts.UserQueries.preload_resources(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#preload_resources/2-examples"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.ListContexts.search_query/2","doc":"Search for rows by given text.","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#search_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.ListContexts.search_query/2","doc":"iex> Kanta.Accounts.UserQueries.search_query(\"some text\")\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#search_query/2-examples"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.ListContexts.select_column/2","doc":"Select specific one column from resource.","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#select_column/2"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.ListContexts.select_column/2","doc":"iex> Kanta.Accounts.UserQueries.select_column(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#select_column/2-examples"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.ListContexts.undeleted_query/1","doc":"","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#undeleted_query/1"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.ListContexts.unique/2","doc":"Returns unique resources.","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#unique/2"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.ListContexts.unique/2","doc":"iex> Kanta.Accounts.UserQueries.unique()\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#unique/2-examples"},{"type":"function","title":"Kanta.Translations.Contexts.Finders.ListContexts.with_join/3","doc":"Joins resource with another resource.\n\n*Important!* The joining has to be defined by join_resource/3 function. Example:\n```\ndefp join_resource(query, :articles, opts) do\n  query\n  |> join(:left, [user: u], _ in assoc(u, :articles), as: :article)\nend\n```\n\nFirst argument is a query and second argument is pattern-matched atom.","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#with_join/3"},{"type":"function","title":"Examples - Kanta.Translations.Contexts.Finders.ListContexts.with_join/3","doc":"iex> Kanta.Accounts.UserQueries.with_join(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Contexts.Finders.ListContexts.html#with_join/3-examples"},{"type":"module","title":"Kanta.Translations.Domain","doc":"Gettext domain DB model","ref":"Kanta.Translations.Domain.html"},{"type":"function","title":"Kanta.Translations.Domain.changeset/2","doc":"","ref":"Kanta.Translations.Domain.html#changeset/2"},{"type":"type","title":"Kanta.Translations.Domain.t/0","doc":"","ref":"Kanta.Translations.Domain.html#t:t/0"},{"type":"module","title":"Kanta.Translations.DomainSpec","doc":"Includes type specs for domain.","ref":"Kanta.Translations.DomainSpec.html"},{"type":"type","title":"Kanta.Translations.DomainSpec.t/0","doc":"","ref":"Kanta.Translations.DomainSpec.html#t:t/0"},{"type":"module","title":"Kanta.Translations.Domains","doc":"Gettext domains Kanta subcontext","ref":"Kanta.Translations.Domains.html"},{"type":"function","title":"Kanta.Translations.Domains.create_domain/1","doc":"","ref":"Kanta.Translations.Domains.html#create_domain/1"},{"type":"function","title":"Kanta.Translations.Domains.get_domain/1","doc":"","ref":"Kanta.Translations.Domains.html#get_domain/1"},{"type":"function","title":"Kanta.Translations.Domains.list_domains/1","doc":"","ref":"Kanta.Translations.Domains.html#list_domains/1"},{"type":"module","title":"Kanta.Translations.Domains.Finders.GetDomain","doc":"Query module aka Finder responsible for finding gettext domain","ref":"Kanta.Translations.Domains.Finders.GetDomain.html"},{"type":"function","title":"Kanta.Translations.Domains.Finders.GetDomain.base/0","doc":"","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#base/0"},{"type":"function","title":"Kanta.Translations.Domains.Finders.GetDomain.count/2","doc":"Counts resources by specific column.","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#count/2"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.GetDomain.count/2","doc":"iex> Kanta.Accounts.UserQueries.count(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#count/2-examples"},{"type":"function","title":"Kanta.Translations.Domains.Finders.GetDomain.filter_query/2","doc":"Filters given resource by specific criterias. Filters should be pass to the function as map `%{\"field_name\" => filter_value}`.\nIt supports associations: `%{\"association\" => %{\"field_name\" => filter_value}}`\nand nested associations `%{\"association\" => %{\"nested association\" => %{\"field_name\" => filter_value}}}`","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#filter_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.GetDomain.filter_query/2","doc":"iex> Kanta.Accounts.UserQueries.filter_query(%{\"email\" => \"a@a.com\"})\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#filter_query/2-examples"},{"type":"function","title":"Kanta.Translations.Domains.Finders.GetDomain.find/1","doc":"","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#find/1"},{"type":"macro","title":"Kanta.Translations.Domains.Finders.GetDomain.null_or_empty/1","doc":"","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#null_or_empty/1"},{"type":"function","title":"Kanta.Translations.Domains.Finders.GetDomain.one/2","doc":"","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#one/2"},{"type":"function","title":"Kanta.Translations.Domains.Finders.GetDomain.order_query/2","doc":"","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#order_query/2"},{"type":"function","title":"Kanta.Translations.Domains.Finders.GetDomain.paginate/3","doc":"","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#paginate/3"},{"type":"function","title":"Kanta.Translations.Domains.Finders.GetDomain.preload_resources/2","doc":"Preloads resources for given resource.","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#preload_resources/2"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.GetDomain.preload_resources/2","doc":"iex> Kanta.Accounts.UserQueries.preload_resources(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#preload_resources/2-examples"},{"type":"function","title":"Kanta.Translations.Domains.Finders.GetDomain.search_query/2","doc":"Search for rows by given text.","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#search_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.GetDomain.search_query/2","doc":"iex> Kanta.Accounts.UserQueries.search_query(\"some text\")\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#search_query/2-examples"},{"type":"function","title":"Kanta.Translations.Domains.Finders.GetDomain.select_column/2","doc":"Select specific one column from resource.","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#select_column/2"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.GetDomain.select_column/2","doc":"iex> Kanta.Accounts.UserQueries.select_column(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#select_column/2-examples"},{"type":"function","title":"Kanta.Translations.Domains.Finders.GetDomain.undeleted_query/1","doc":"","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#undeleted_query/1"},{"type":"function","title":"Kanta.Translations.Domains.Finders.GetDomain.unique/2","doc":"Returns unique resources.","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#unique/2"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.GetDomain.unique/2","doc":"iex> Kanta.Accounts.UserQueries.unique()\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#unique/2-examples"},{"type":"function","title":"Kanta.Translations.Domains.Finders.GetDomain.with_join/3","doc":"Joins resource with another resource.\n\n*Important!* The joining has to be defined by join_resource/3 function. Example:\n```\ndefp join_resource(query, :articles, opts) do\n  query\n  |> join(:left, [user: u], _ in assoc(u, :articles), as: :article)\nend\n```\n\nFirst argument is a query and second argument is pattern-matched atom.","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#with_join/3"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.GetDomain.with_join/3","doc":"iex> Kanta.Accounts.UserQueries.with_join(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.GetDomain.html#with_join/3-examples"},{"type":"module","title":"Kanta.Translations.Domains.Finders.ListDomains","doc":"Query module aka Finder responsible for listing gettext domains","ref":"Kanta.Translations.Domains.Finders.ListDomains.html"},{"type":"function","title":"Kanta.Translations.Domains.Finders.ListDomains.base/0","doc":"","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#base/0"},{"type":"function","title":"Kanta.Translations.Domains.Finders.ListDomains.count/2","doc":"Counts resources by specific column.","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#count/2"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.ListDomains.count/2","doc":"iex> Kanta.Accounts.UserQueries.count(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#count/2-examples"},{"type":"function","title":"Kanta.Translations.Domains.Finders.ListDomains.filter_query/2","doc":"Filters given resource by specific criterias. Filters should be pass to the function as map `%{\"field_name\" => filter_value}`.\nIt supports associations: `%{\"association\" => %{\"field_name\" => filter_value}}`\nand nested associations `%{\"association\" => %{\"nested association\" => %{\"field_name\" => filter_value}}}`","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#filter_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.ListDomains.filter_query/2","doc":"iex> Kanta.Accounts.UserQueries.filter_query(%{\"email\" => \"a@a.com\"})\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#filter_query/2-examples"},{"type":"function","title":"Kanta.Translations.Domains.Finders.ListDomains.find/1","doc":"","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#find/1"},{"type":"macro","title":"Kanta.Translations.Domains.Finders.ListDomains.null_or_empty/1","doc":"","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#null_or_empty/1"},{"type":"function","title":"Kanta.Translations.Domains.Finders.ListDomains.one/2","doc":"","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#one/2"},{"type":"function","title":"Kanta.Translations.Domains.Finders.ListDomains.order_query/2","doc":"","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#order_query/2"},{"type":"function","title":"Kanta.Translations.Domains.Finders.ListDomains.paginate/3","doc":"","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#paginate/3"},{"type":"function","title":"Kanta.Translations.Domains.Finders.ListDomains.preload_resources/2","doc":"Preloads resources for given resource.","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#preload_resources/2"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.ListDomains.preload_resources/2","doc":"iex> Kanta.Accounts.UserQueries.preload_resources(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#preload_resources/2-examples"},{"type":"function","title":"Kanta.Translations.Domains.Finders.ListDomains.search_query/2","doc":"Search for rows by given text.","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#search_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.ListDomains.search_query/2","doc":"iex> Kanta.Accounts.UserQueries.search_query(\"some text\")\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#search_query/2-examples"},{"type":"function","title":"Kanta.Translations.Domains.Finders.ListDomains.select_column/2","doc":"Select specific one column from resource.","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#select_column/2"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.ListDomains.select_column/2","doc":"iex> Kanta.Accounts.UserQueries.select_column(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#select_column/2-examples"},{"type":"function","title":"Kanta.Translations.Domains.Finders.ListDomains.undeleted_query/1","doc":"","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#undeleted_query/1"},{"type":"function","title":"Kanta.Translations.Domains.Finders.ListDomains.unique/2","doc":"Returns unique resources.","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#unique/2"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.ListDomains.unique/2","doc":"iex> Kanta.Accounts.UserQueries.unique()\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#unique/2-examples"},{"type":"function","title":"Kanta.Translations.Domains.Finders.ListDomains.with_join/3","doc":"Joins resource with another resource.\n\n*Important!* The joining has to be defined by join_resource/3 function. Example:\n```\ndefp join_resource(query, :articles, opts) do\n  query\n  |> join(:left, [user: u], _ in assoc(u, :articles), as: :article)\nend\n```\n\nFirst argument is a query and second argument is pattern-matched atom.","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#with_join/3"},{"type":"function","title":"Examples - Kanta.Translations.Domains.Finders.ListDomains.with_join/3","doc":"iex> Kanta.Accounts.UserQueries.with_join(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Domains.Finders.ListDomains.html#with_join/3-examples"},{"type":"module","title":"Kanta.Translations.Locale","doc":"Locale DB model","ref":"Kanta.Translations.Locale.html"},{"type":"function","title":"Kanta.Translations.Locale.changeset/2","doc":"","ref":"Kanta.Translations.Locale.html#changeset/2"},{"type":"type","title":"Kanta.Translations.Locale.t/0","doc":"","ref":"Kanta.Translations.Locale.html#t:t/0"},{"type":"module","title":"Kanta.Translations.Locale.Finders.GetLocale","doc":"Query module aka Finder responsible for finding locale","ref":"Kanta.Translations.Locale.Finders.GetLocale.html"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocale.base/0","doc":"","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#base/0"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocale.count/2","doc":"Counts resources by specific column.","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#count/2"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.GetLocale.count/2","doc":"iex> Kanta.Accounts.UserQueries.count(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#count/2-examples"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocale.filter_query/2","doc":"Filters given resource by specific criterias. Filters should be pass to the function as map `%{\"field_name\" => filter_value}`.\nIt supports associations: `%{\"association\" => %{\"field_name\" => filter_value}}`\nand nested associations `%{\"association\" => %{\"nested association\" => %{\"field_name\" => filter_value}}}`","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#filter_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.GetLocale.filter_query/2","doc":"iex> Kanta.Accounts.UserQueries.filter_query(%{\"email\" => \"a@a.com\"})\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#filter_query/2-examples"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocale.find/1","doc":"","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#find/1"},{"type":"macro","title":"Kanta.Translations.Locale.Finders.GetLocale.null_or_empty/1","doc":"","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#null_or_empty/1"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocale.one/2","doc":"","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#one/2"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocale.order_query/2","doc":"","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#order_query/2"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocale.paginate/3","doc":"","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#paginate/3"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocale.preload_resources/2","doc":"Preloads resources for given resource.","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#preload_resources/2"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.GetLocale.preload_resources/2","doc":"iex> Kanta.Accounts.UserQueries.preload_resources(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#preload_resources/2-examples"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocale.search_query/2","doc":"Search for rows by given text.","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#search_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.GetLocale.search_query/2","doc":"iex> Kanta.Accounts.UserQueries.search_query(\"some text\")\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#search_query/2-examples"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocale.select_column/2","doc":"Select specific one column from resource.","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#select_column/2"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.GetLocale.select_column/2","doc":"iex> Kanta.Accounts.UserQueries.select_column(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#select_column/2-examples"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocale.undeleted_query/1","doc":"","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#undeleted_query/1"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocale.unique/2","doc":"Returns unique resources.","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#unique/2"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.GetLocale.unique/2","doc":"iex> Kanta.Accounts.UserQueries.unique()\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#unique/2-examples"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocale.with_join/3","doc":"Joins resource with another resource.\n\n*Important!* The joining has to be defined by join_resource/3 function. Example:\n```\ndefp join_resource(query, :articles, opts) do\n  query\n  |> join(:left, [user: u], _ in assoc(u, :articles), as: :article)\nend\n```\n\nFirst argument is a query and second argument is pattern-matched atom.","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#with_join/3"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.GetLocale.with_join/3","doc":"iex> Kanta.Accounts.UserQueries.with_join(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.GetLocale.html#with_join/3-examples"},{"type":"module","title":"Kanta.Translations.Locale.Finders.GetLocaleTranslationProgress","doc":"Query module aka Finder responsible for getting translation progress for given locale","ref":"Kanta.Translations.Locale.Finders.GetLocaleTranslationProgress.html"},{"type":"function","title":"Kanta.Translations.Locale.Finders.GetLocaleTranslationProgress.find/1","doc":"","ref":"Kanta.Translations.Locale.Finders.GetLocaleTranslationProgress.html#find/1"},{"type":"module","title":"Kanta.Translations.Locale.Finders.ListLocales","doc":"Query module aka Finder responsible for listing locales","ref":"Kanta.Translations.Locale.Finders.ListLocales.html"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocales.base/0","doc":"","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#base/0"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocales.count/2","doc":"Counts resources by specific column.","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#count/2"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.ListLocales.count/2","doc":"iex> Kanta.Accounts.UserQueries.count(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#count/2-examples"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocales.filter_query/2","doc":"Filters given resource by specific criterias. Filters should be pass to the function as map `%{\"field_name\" => filter_value}`.\nIt supports associations: `%{\"association\" => %{\"field_name\" => filter_value}}`\nand nested associations `%{\"association\" => %{\"nested association\" => %{\"field_name\" => filter_value}}}`","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#filter_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.ListLocales.filter_query/2","doc":"iex> Kanta.Accounts.UserQueries.filter_query(%{\"email\" => \"a@a.com\"})\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#filter_query/2-examples"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocales.find/1","doc":"","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#find/1"},{"type":"macro","title":"Kanta.Translations.Locale.Finders.ListLocales.null_or_empty/1","doc":"","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#null_or_empty/1"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocales.one/2","doc":"","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#one/2"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocales.order_query/2","doc":"","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#order_query/2"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocales.paginate/3","doc":"","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#paginate/3"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocales.preload_resources/2","doc":"Preloads resources for given resource.","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#preload_resources/2"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.ListLocales.preload_resources/2","doc":"iex> Kanta.Accounts.UserQueries.preload_resources(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#preload_resources/2-examples"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocales.search_query/2","doc":"Search for rows by given text.","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#search_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.ListLocales.search_query/2","doc":"iex> Kanta.Accounts.UserQueries.search_query(\"some text\")\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#search_query/2-examples"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocales.select_column/2","doc":"Select specific one column from resource.","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#select_column/2"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.ListLocales.select_column/2","doc":"iex> Kanta.Accounts.UserQueries.select_column(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#select_column/2-examples"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocales.undeleted_query/1","doc":"","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#undeleted_query/1"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocales.unique/2","doc":"Returns unique resources.","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#unique/2"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.ListLocales.unique/2","doc":"iex> Kanta.Accounts.UserQueries.unique()\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#unique/2-examples"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocales.with_join/3","doc":"Joins resource with another resource.\n\n*Important!* The joining has to be defined by join_resource/3 function. Example:\n```\ndefp join_resource(query, :articles, opts) do\n  query\n  |> join(:left, [user: u], _ in assoc(u, :articles), as: :article)\nend\n```\n\nFirst argument is a query and second argument is pattern-matched atom.","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#with_join/3"},{"type":"function","title":"Examples - Kanta.Translations.Locale.Finders.ListLocales.with_join/3","doc":"iex> Kanta.Accounts.UserQueries.with_join(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Locale.Finders.ListLocales.html#with_join/3-examples"},{"type":"module","title":"Kanta.Translations.Locale.Finders.ListLocalesWithTranslatedMessage","doc":"Finder for getting locales for which we have translated message","ref":"Kanta.Translations.Locale.Finders.ListLocalesWithTranslatedMessage.html"},{"type":"function","title":"Kanta.Translations.Locale.Finders.ListLocalesWithTranslatedMessage.find/1","doc":"","ref":"Kanta.Translations.Locale.Finders.ListLocalesWithTranslatedMessage.html#find/1"},{"type":"module","title":"Kanta.Translations.Locale.Services.CreateLocaleFromIsoCode","doc":"Service for mapping locale iso639 code to the Kanta locale","ref":"Kanta.Translations.Locale.Services.CreateLocaleFromIsoCode.html"},{"type":"function","title":"Kanta.Translations.Locale.Services.CreateLocaleFromIsoCode.call/2","doc":"","ref":"Kanta.Translations.Locale.Services.CreateLocaleFromIsoCode.html#call/2"},{"type":"module","title":"Kanta.Translations.Locale.Utils.LocaleCodeMapper","doc":"Utility for mapping locales data from iso code","ref":"Kanta.Translations.Locale.Utils.LocaleCodeMapper.html"},{"type":"function","title":"Kanta.Translations.Locale.Utils.LocaleCodeMapper.get_colors/1","doc":"","ref":"Kanta.Translations.Locale.Utils.LocaleCodeMapper.html#get_colors/1"},{"type":"function","title":"Kanta.Translations.Locale.Utils.LocaleCodeMapper.get_family/1","doc":"","ref":"Kanta.Translations.Locale.Utils.LocaleCodeMapper.html#get_family/1"},{"type":"function","title":"Kanta.Translations.Locale.Utils.LocaleCodeMapper.get_name/1","doc":"","ref":"Kanta.Translations.Locale.Utils.LocaleCodeMapper.html#get_name/1"},{"type":"function","title":"Kanta.Translations.Locale.Utils.LocaleCodeMapper.get_native_name/1","doc":"","ref":"Kanta.Translations.Locale.Utils.LocaleCodeMapper.html#get_native_name/1"},{"type":"function","title":"Kanta.Translations.Locale.Utils.LocaleCodeMapper.get_wiki_url/1","doc":"","ref":"Kanta.Translations.Locale.Utils.LocaleCodeMapper.html#get_wiki_url/1"},{"type":"module","title":"Kanta.Translations.LocaleSpec","doc":"Includes type specs for locale.","ref":"Kanta.Translations.LocaleSpec.html"},{"type":"type","title":"Kanta.Translations.LocaleSpec.t/0","doc":"","ref":"Kanta.Translations.LocaleSpec.html#t:t/0"},{"type":"module","title":"Kanta.Translations.Locales","doc":"Locales Kanta subcontext","ref":"Kanta.Translations.Locales.html"},{"type":"function","title":"Kanta.Translations.Locales.get_locale/1","doc":"","ref":"Kanta.Translations.Locales.html#get_locale/1"},{"type":"function","title":"Kanta.Translations.Locales.list_locales/1","doc":"","ref":"Kanta.Translations.Locales.html#list_locales/1"},{"type":"function","title":"Kanta.Translations.Locales.update_locale/2","doc":"","ref":"Kanta.Translations.Locales.html#update_locale/2"},{"type":"module","title":"Kanta.Translations.Message","doc":"Gettext message DB model","ref":"Kanta.Translations.Message.html"},{"type":"function","title":"Kanta.Translations.Message.changeset/2","doc":"","ref":"Kanta.Translations.Message.html#changeset/2"},{"type":"type","title":"Kanta.Translations.Message.t/0","doc":"","ref":"Kanta.Translations.Message.html#t:t/0"},{"type":"module","title":"Kanta.Translations.MessageSpec","doc":"Includes type specs for message.","ref":"Kanta.Translations.MessageSpec.html"},{"type":"type","title":"Kanta.Translations.MessageSpec.t/0","doc":"","ref":"Kanta.Translations.MessageSpec.html#t:t/0"},{"type":"module","title":"Kanta.Translations.Messages","doc":"Kanta Messages subcontext","ref":"Kanta.Translations.Messages.html"},{"type":"function","title":"Kanta.Translations.Messages.create_message/1","doc":"","ref":"Kanta.Translations.Messages.html#create_message/1"},{"type":"function","title":"Kanta.Translations.Messages.get_message/1","doc":"","ref":"Kanta.Translations.Messages.html#get_message/1"},{"type":"function","title":"Kanta.Translations.Messages.get_messages_count/0","doc":"","ref":"Kanta.Translations.Messages.html#get_messages_count/0"},{"type":"function","title":"Kanta.Translations.Messages.list_messages/1","doc":"","ref":"Kanta.Translations.Messages.html#list_messages/1"},{"type":"function","title":"Kanta.Translations.Messages.update_message/2","doc":"","ref":"Kanta.Translations.Messages.html#update_message/2"},{"type":"module","title":"Kanta.Translations.Messages.Finders.GetMessage","doc":"Query module aka Finder responsible for finding gettext message","ref":"Kanta.Translations.Messages.Finders.GetMessage.html"},{"type":"function","title":"Kanta.Translations.Messages.Finders.GetMessage.base/0","doc":"","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#base/0"},{"type":"function","title":"Kanta.Translations.Messages.Finders.GetMessage.count/2","doc":"Counts resources by specific column.","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#count/2"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.GetMessage.count/2","doc":"iex> Kanta.Accounts.UserQueries.count(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#count/2-examples"},{"type":"function","title":"Kanta.Translations.Messages.Finders.GetMessage.filter_query/2","doc":"Filters given resource by specific criterias. Filters should be pass to the function as map `%{\"field_name\" => filter_value}`.\nIt supports associations: `%{\"association\" => %{\"field_name\" => filter_value}}`\nand nested associations `%{\"association\" => %{\"nested association\" => %{\"field_name\" => filter_value}}}`","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#filter_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.GetMessage.filter_query/2","doc":"iex> Kanta.Accounts.UserQueries.filter_query(%{\"email\" => \"a@a.com\"})\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#filter_query/2-examples"},{"type":"function","title":"Kanta.Translations.Messages.Finders.GetMessage.find/1","doc":"","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#find/1"},{"type":"macro","title":"Kanta.Translations.Messages.Finders.GetMessage.null_or_empty/1","doc":"","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#null_or_empty/1"},{"type":"function","title":"Kanta.Translations.Messages.Finders.GetMessage.one/2","doc":"","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#one/2"},{"type":"function","title":"Kanta.Translations.Messages.Finders.GetMessage.order_query/2","doc":"","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#order_query/2"},{"type":"function","title":"Kanta.Translations.Messages.Finders.GetMessage.paginate/3","doc":"","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#paginate/3"},{"type":"function","title":"Kanta.Translations.Messages.Finders.GetMessage.preload_resources/2","doc":"Preloads resources for given resource.","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#preload_resources/2"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.GetMessage.preload_resources/2","doc":"iex> Kanta.Accounts.UserQueries.preload_resources(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#preload_resources/2-examples"},{"type":"function","title":"Kanta.Translations.Messages.Finders.GetMessage.search_query/2","doc":"Search for rows by given text.","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#search_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.GetMessage.search_query/2","doc":"iex> Kanta.Accounts.UserQueries.search_query(\"some text\")\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#search_query/2-examples"},{"type":"function","title":"Kanta.Translations.Messages.Finders.GetMessage.select_column/2","doc":"Select specific one column from resource.","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#select_column/2"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.GetMessage.select_column/2","doc":"iex> Kanta.Accounts.UserQueries.select_column(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#select_column/2-examples"},{"type":"function","title":"Kanta.Translations.Messages.Finders.GetMessage.undeleted_query/1","doc":"","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#undeleted_query/1"},{"type":"function","title":"Kanta.Translations.Messages.Finders.GetMessage.unique/2","doc":"Returns unique resources.","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#unique/2"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.GetMessage.unique/2","doc":"iex> Kanta.Accounts.UserQueries.unique()\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#unique/2-examples"},{"type":"function","title":"Kanta.Translations.Messages.Finders.GetMessage.with_join/3","doc":"Joins resource with another resource.\n\n*Important!* The joining has to be defined by join_resource/3 function. Example:\n```\ndefp join_resource(query, :articles, opts) do\n  query\n  |> join(:left, [user: u], _ in assoc(u, :articles), as: :article)\nend\n```\n\nFirst argument is a query and second argument is pattern-matched atom.","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#with_join/3"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.GetMessage.with_join/3","doc":"iex> Kanta.Accounts.UserQueries.with_join(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.GetMessage.html#with_join/3-examples"},{"type":"module","title":"Kanta.Translations.Messages.Finders.ListMessages","doc":"Query module aka Finder responsible for listing gettext messages","ref":"Kanta.Translations.Messages.Finders.ListMessages.html"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.base/0","doc":"","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#base/0"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.count/2","doc":"Counts resources by specific column.","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#count/2"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.ListMessages.count/2","doc":"iex> Kanta.Accounts.UserQueries.count(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#count/2-examples"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.filter_query/2","doc":"Filters given resource by specific criterias. Filters should be pass to the function as map `%{\"field_name\" => filter_value}`.\nIt supports associations: `%{\"association\" => %{\"field_name\" => filter_value}}`\nand nested associations `%{\"association\" => %{\"nested association\" => %{\"field_name\" => filter_value}}}`","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#filter_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.ListMessages.filter_query/2","doc":"iex> Kanta.Accounts.UserQueries.filter_query(%{\"email\" => \"a@a.com\"})\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#filter_query/2-examples"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.find/1","doc":"","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#find/1"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.join_resource/3","doc":"","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#join_resource/3"},{"type":"macro","title":"Kanta.Translations.Messages.Finders.ListMessages.null_or_empty/1","doc":"","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#null_or_empty/1"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.one/2","doc":"","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#one/2"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.order_query/2","doc":"","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#order_query/2"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.paginate/3","doc":"","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#paginate/3"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.preload_resources/2","doc":"Preloads resources for given resource.","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#preload_resources/2"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.ListMessages.preload_resources/2","doc":"iex> Kanta.Accounts.UserQueries.preload_resources(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#preload_resources/2-examples"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.search_query/2","doc":"Search for rows by given text.","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#search_query/2"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.ListMessages.search_query/2","doc":"iex> Kanta.Accounts.UserQueries.search_query(\"some text\")\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#search_query/2-examples"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.select_column/2","doc":"Select specific one column from resource.","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#select_column/2"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.ListMessages.select_column/2","doc":"iex> Kanta.Accounts.UserQueries.select_column(:email)\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#select_column/2-examples"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.undeleted_query/1","doc":"","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#undeleted_query/1"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.unique/2","doc":"Returns unique resources.","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#unique/2"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.ListMessages.unique/2","doc":"iex> Kanta.Accounts.UserQueries.unique()\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#unique/2-examples"},{"type":"function","title":"Kanta.Translations.Messages.Finders.ListMessages.with_join/3","doc":"Joins resource with another resource.\n\n*Important!* The joining has to be defined by join_resource/3 function. Example:\n```\ndefp join_resource(query, :articles, opts) do\n  query\n  |> join(:left, [user: u], _ in assoc(u, :articles), as: :article)\nend\n```\n\nFirst argument is a query and second argument is pattern-matched atom.","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#with_join/3"},{"type":"function","title":"Examples - Kanta.Translations.Messages.Finders.ListMessages.with_join/3","doc":"iex> Kanta.Accounts.UserQueries.with_join(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.Messages.Finders.ListMessages.html#with_join/3-examples"},{"type":"module","title":"Kanta.Translations.PluralTranslation","doc":"Plural translation DB model","ref":"Kanta.Translations.PluralTranslation.html"},{"type":"function","title":"Kanta.Translations.PluralTranslation.changeset/2","doc":"","ref":"Kanta.Translations.PluralTranslation.html#changeset/2"},{"type":"type","title":"Kanta.Translations.PluralTranslation.t/0","doc":"","ref":"Kanta.Translations.PluralTranslation.html#t:t/0"},{"type":"module","title":"Kanta.Translations.PluralTranslationSpec","doc":"Includes type specs for plural translations.","ref":"Kanta.Translations.PluralTranslationSpec.html"},{"type":"type","title":"Kanta.Translations.PluralTranslationSpec.t/0","doc":"","ref":"Kanta.Translations.PluralTranslationSpec.html#t:t/0"},{"type":"module","title":"Kanta.Translations.PluralTranslations","doc":"Plural translations Kanta subcontext","ref":"Kanta.Translations.PluralTranslations.html"},{"type":"function","title":"Kanta.Translations.PluralTranslations.create_plural_translation/1","doc":"","ref":"Kanta.Translations.PluralTranslations.html#create_plural_translation/1"},{"type":"function","title":"Kanta.Translations.PluralTranslations.get_plural_translation/1","doc":"","ref":"Kanta.Translations.PluralTranslations.html#get_plural_translation/1"},{"type":"function","title":"Kanta.Translations.PluralTranslations.list_plural_translations/1","doc":"","ref":"Kanta.Translations.PluralTranslations.html#list_plural_translations/1"},{"type":"function","title":"Kanta.Translations.PluralTranslations.update_plural_translation/2","doc":"","ref":"Kanta.Translations.PluralTranslations.html#update_plural_translation/2"},{"type":"module","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation","doc":"Query module aka Finder responsible for finding plural translation","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.base/0","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#base/0"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.count/2","doc":"Counts resources by specific column.","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#count/2"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.count/2","doc":"iex> Kanta.Accounts.UserQueries.count(:email)\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#count/2-examples"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.filter_query/2","doc":"Filters given resource by specific criterias. Filters should be pass to the function as map `%{\"field_name\" => filter_value}`.\nIt supports associations: `%{\"association\" => %{\"field_name\" => filter_value}}`\nand nested associations `%{\"association\" => %{\"nested association\" => %{\"field_name\" => filter_value}}}`","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#filter_query/2"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.filter_query/2","doc":"iex> Kanta.Accounts.UserQueries.filter_query(%{\"email\" => \"a@a.com\"})\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#filter_query/2-examples"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.find/1","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#find/1"},{"type":"macro","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.null_or_empty/1","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#null_or_empty/1"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.one/2","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#one/2"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.order_query/2","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#order_query/2"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.paginate/3","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#paginate/3"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.preload_resources/2","doc":"Preloads resources for given resource.","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#preload_resources/2"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.preload_resources/2","doc":"iex> Kanta.Accounts.UserQueries.preload_resources(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#preload_resources/2-examples"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.search_query/2","doc":"Search for rows by given text.","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#search_query/2"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.search_query/2","doc":"iex> Kanta.Accounts.UserQueries.search_query(\"some text\")\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#search_query/2-examples"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.select_column/2","doc":"Select specific one column from resource.","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#select_column/2"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.select_column/2","doc":"iex> Kanta.Accounts.UserQueries.select_column(:email)\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#select_column/2-examples"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.undeleted_query/1","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#undeleted_query/1"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.unique/2","doc":"Returns unique resources.","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#unique/2"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.unique/2","doc":"iex> Kanta.Accounts.UserQueries.unique()\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#unique/2-examples"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.with_join/3","doc":"Joins resource with another resource.\n\n*Important!* The joining has to be defined by join_resource/3 function. Example:\n```\ndefp join_resource(query, :articles, opts) do\n  query\n  |> join(:left, [user: u], _ in assoc(u, :articles), as: :article)\nend\n```\n\nFirst argument is a query and second argument is pattern-matched atom.","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#with_join/3"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.with_join/3","doc":"iex> Kanta.Accounts.UserQueries.with_join(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.GetPluralTranslation.html#with_join/3-examples"},{"type":"module","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations","doc":"Query module aka Finder responsible for listing plural translations","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.base/0","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#base/0"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.count/2","doc":"Counts resources by specific column.","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#count/2"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.count/2","doc":"iex> Kanta.Accounts.UserQueries.count(:email)\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#count/2-examples"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.filter_query/2","doc":"Filters given resource by specific criterias. Filters should be pass to the function as map `%{\"field_name\" => filter_value}`.\nIt supports associations: `%{\"association\" => %{\"field_name\" => filter_value}}`\nand nested associations `%{\"association\" => %{\"nested association\" => %{\"field_name\" => filter_value}}}`","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#filter_query/2"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.filter_query/2","doc":"iex> Kanta.Accounts.UserQueries.filter_query(%{\"email\" => \"a@a.com\"})\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#filter_query/2-examples"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.find/1","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#find/1"},{"type":"macro","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.null_or_empty/1","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#null_or_empty/1"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.one/2","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#one/2"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.order_query/2","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#order_query/2"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.paginate/3","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#paginate/3"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.preload_resources/2","doc":"Preloads resources for given resource.","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#preload_resources/2"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.preload_resources/2","doc":"iex> Kanta.Accounts.UserQueries.preload_resources(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#preload_resources/2-examples"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.search_query/2","doc":"Search for rows by given text.","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#search_query/2"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.search_query/2","doc":"iex> Kanta.Accounts.UserQueries.search_query(\"some text\")\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#search_query/2-examples"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.select_column/2","doc":"Select specific one column from resource.","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#select_column/2"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.select_column/2","doc":"iex> Kanta.Accounts.UserQueries.select_column(:email)\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#select_column/2-examples"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.undeleted_query/1","doc":"","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#undeleted_query/1"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.unique/2","doc":"Returns unique resources.","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#unique/2"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.unique/2","doc":"iex> Kanta.Accounts.UserQueries.unique()\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#unique/2-examples"},{"type":"function","title":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.with_join/3","doc":"Joins resource with another resource.\n\n*Important!* The joining has to be defined by join_resource/3 function. Example:\n```\ndefp join_resource(query, :articles, opts) do\n  query\n  |> join(:left, [user: u], _ in assoc(u, :articles), as: :article)\nend\n```\n\nFirst argument is a query and second argument is pattern-matched atom.","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#with_join/3"},{"type":"function","title":"Examples - Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.with_join/3","doc":"iex> Kanta.Accounts.UserQueries.with_join(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.PluralTranslations.Finders.ListPluralTranslations.html#with_join/3-examples"},{"type":"module","title":"Kanta.Translations.SingularTranslation","doc":"Singular translation DB model","ref":"Kanta.Translations.SingularTranslation.html"},{"type":"function","title":"Kanta.Translations.SingularTranslation.changeset/2","doc":"","ref":"Kanta.Translations.SingularTranslation.html#changeset/2"},{"type":"type","title":"Kanta.Translations.SingularTranslation.t/0","doc":"","ref":"Kanta.Translations.SingularTranslation.html#t:t/0"},{"type":"module","title":"Kanta.Translations.SingularTranslationSpec","doc":"Includes type specs for singular translations.","ref":"Kanta.Translations.SingularTranslationSpec.html"},{"type":"type","title":"Kanta.Translations.SingularTranslationSpec.t/0","doc":"","ref":"Kanta.Translations.SingularTranslationSpec.html#t:t/0"},{"type":"module","title":"Kanta.Translations.SingularTranslations","doc":"Singular translations Kanta subcontext","ref":"Kanta.Translations.SingularTranslations.html"},{"type":"function","title":"Kanta.Translations.SingularTranslations.create_singular_translation/1","doc":"","ref":"Kanta.Translations.SingularTranslations.html#create_singular_translation/1"},{"type":"function","title":"Kanta.Translations.SingularTranslations.get_singular_translation/1","doc":"","ref":"Kanta.Translations.SingularTranslations.html#get_singular_translation/1"},{"type":"function","title":"Kanta.Translations.SingularTranslations.update_singular_translation/2","doc":"","ref":"Kanta.Translations.SingularTranslations.html#update_singular_translation/2"},{"type":"module","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation","doc":"Query module aka Finder responsible for finding singular translations","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.base/0","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#base/0"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.count/2","doc":"Counts resources by specific column.","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#count/2"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.count/2","doc":"iex> Kanta.Accounts.UserQueries.count(:email)\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#count/2-examples"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.filter_query/2","doc":"Filters given resource by specific criterias. Filters should be pass to the function as map `%{\"field_name\" => filter_value}`.\nIt supports associations: `%{\"association\" => %{\"field_name\" => filter_value}}`\nand nested associations `%{\"association\" => %{\"nested association\" => %{\"field_name\" => filter_value}}}`","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#filter_query/2"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.filter_query/2","doc":"iex> Kanta.Accounts.UserQueries.filter_query(%{\"email\" => \"a@a.com\"})\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#filter_query/2-examples"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.find/1","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#find/1"},{"type":"macro","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.null_or_empty/1","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#null_or_empty/1"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.one/2","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#one/2"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.order_query/2","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#order_query/2"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.paginate/3","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#paginate/3"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.preload_resources/2","doc":"Preloads resources for given resource.","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#preload_resources/2"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.preload_resources/2","doc":"iex> Kanta.Accounts.UserQueries.preload_resources(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#preload_resources/2-examples"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.search_query/2","doc":"Search for rows by given text.","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#search_query/2"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.search_query/2","doc":"iex> Kanta.Accounts.UserQueries.search_query(\"some text\")\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#search_query/2-examples"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.select_column/2","doc":"Select specific one column from resource.","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#select_column/2"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.select_column/2","doc":"iex> Kanta.Accounts.UserQueries.select_column(:email)\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#select_column/2-examples"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.undeleted_query/1","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#undeleted_query/1"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.unique/2","doc":"Returns unique resources.","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#unique/2"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.unique/2","doc":"iex> Kanta.Accounts.UserQueries.unique()\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#unique/2-examples"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.with_join/3","doc":"Joins resource with another resource.\n\n*Important!* The joining has to be defined by join_resource/3 function. Example:\n```\ndefp join_resource(query, :articles, opts) do\n  query\n  |> join(:left, [user: u], _ in assoc(u, :articles), as: :article)\nend\n```\n\nFirst argument is a query and second argument is pattern-matched atom.","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#with_join/3"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.with_join/3","doc":"iex> Kanta.Accounts.UserQueries.with_join(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.GetSingularTranslation.html#with_join/3-examples"},{"type":"module","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations","doc":"Query module aka Finder responsible for listing singular translations","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.base/0","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#base/0"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.count/2","doc":"Counts resources by specific column.","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#count/2"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.count/2","doc":"iex> Kanta.Accounts.UserQueries.count(:email)\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#count/2-examples"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.filter_query/2","doc":"Filters given resource by specific criterias. Filters should be pass to the function as map `%{\"field_name\" => filter_value}`.\nIt supports associations: `%{\"association\" => %{\"field_name\" => filter_value}}`\nand nested associations `%{\"association\" => %{\"nested association\" => %{\"field_name\" => filter_value}}}`","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#filter_query/2"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.filter_query/2","doc":"iex> Kanta.Accounts.UserQueries.filter_query(%{\"email\" => \"a@a.com\"})\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#filter_query/2-examples"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.find/1","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#find/1"},{"type":"macro","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.null_or_empty/1","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#null_or_empty/1"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.one/2","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#one/2"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.order_query/2","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#order_query/2"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.paginate/3","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#paginate/3"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.preload_resources/2","doc":"Preloads resources for given resource.","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#preload_resources/2"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.preload_resources/2","doc":"iex> Kanta.Accounts.UserQueries.preload_resources(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#preload_resources/2-examples"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.search_query/2","doc":"Search for rows by given text.","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#search_query/2"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.search_query/2","doc":"iex> Kanta.Accounts.UserQueries.search_query(\"some text\")\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#search_query/2-examples"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.select_column/2","doc":"Select specific one column from resource.","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#select_column/2"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.select_column/2","doc":"iex> Kanta.Accounts.UserQueries.select_column(:email)\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#select_column/2-examples"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.undeleted_query/1","doc":"","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#undeleted_query/1"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.unique/2","doc":"Returns unique resources.","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#unique/2"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.unique/2","doc":"iex> Kanta.Accounts.UserQueries.unique()\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#unique/2-examples"},{"type":"function","title":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.with_join/3","doc":"Joins resource with another resource.\n\n*Important!* The joining has to be defined by join_resource/3 function. Example:\n```\ndefp join_resource(query, :articles, opts) do\n  query\n  |> join(:left, [user: u], _ in assoc(u, :articles), as: :article)\nend\n```\n\nFirst argument is a query and second argument is pattern-matched atom.","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#with_join/3"},{"type":"function","title":"Examples - Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.with_join/3","doc":"iex> Kanta.Accounts.UserQueries.with_join(:articles)\n    #Ecto.Query","ref":"Kanta.Translations.SingularTranslations.Finders.ListSingularTranslations.html#with_join/3-examples"},{"type":"module","title":"Kanta.Types","doc":"Types used in Kanta","ref":"Kanta.Types.html"},{"type":"type","title":"Kanta.Types.assoc_type/1","doc":"A schema or Ecto.Association.NotLoaded","ref":"Kanta.Types.html#t:assoc_type/1"},{"type":"type","title":"Kanta.Types.field/1","doc":"A schema field value of a given type or nil","ref":"Kanta.Types.html#t:field/1"},{"type":"type","title":"Kanta.Types.id/0","doc":"A string or integer identifier","ref":"Kanta.Types.html#t:id/0"},{"type":"module","title":"Kanta.Validator","doc":"Kanta configuration validator","ref":"Kanta.Validator.html"},{"type":"function","title":"Kanta.Validator.validate/3","doc":"","ref":"Kanta.Validator.html#validate/3"},{"type":"function","title":"Kanta.Validator.validate!/2","doc":"","ref":"Kanta.Validator.html#validate!/2"},{"type":"module","title":"KantaWeb","doc":"The entrypoint for defining your web interface, such\nas controllers, views, channels and so on.\n\nThis can be used in your application as:\n\n    use KantaWeb, :controller\n    use KantaWeb, :view\n\nThe definitions below will be executed for every view,\ncontroller, etc, so keep them short and clean, focused\non imports, uses and aliases.\n\nDo NOT define functions inside the quoted expressions\nbelow. Instead, define any helper function in modules\nand import those modules here.","ref":"KantaWeb.html"},{"type":"macro","title":"KantaWeb.__using__/1","doc":"When used, dispatch to the appropriate controller/view/etc.","ref":"KantaWeb.html#__using__/1"},{"type":"function","title":"KantaWeb.channel/0","doc":"","ref":"KantaWeb.html#channel/0"},{"type":"function","title":"KantaWeb.component/0","doc":"","ref":"KantaWeb.html#component/0"},{"type":"function","title":"KantaWeb.controller/0","doc":"","ref":"KantaWeb.html#controller/0"},{"type":"function","title":"KantaWeb.html/0","doc":"","ref":"KantaWeb.html#html/0"},{"type":"function","title":"KantaWeb.live_component/0","doc":"","ref":"KantaWeb.html#live_component/0"},{"type":"function","title":"KantaWeb.live_view/0","doc":"","ref":"KantaWeb.html#live_view/0"},{"type":"function","title":"KantaWeb.router/0","doc":"","ref":"KantaWeb.html#router/0"},{"type":"function","title":"KantaWeb.static_paths/0","doc":"","ref":"KantaWeb.html#static_paths/0"},{"type":"function","title":"KantaWeb.verified_routes/0","doc":"","ref":"KantaWeb.html#verified_routes/0"},{"type":"function","title":"KantaWeb.view/0","doc":"","ref":"KantaWeb.html#view/0"},{"type":"module","title":"KantaWeb.Components.Icons","doc":"SVG icons used in Kanta UI","ref":"KantaWeb.Components.Icons.html"},{"type":"function","title":"KantaWeb.Components.Icons.album/1","doc":"","ref":"KantaWeb.Components.Icons.html#album/1"},{"type":"function","title":"KantaWeb.Components.Icons.arrow_left/1","doc":"","ref":"KantaWeb.Components.Icons.html#arrow_left/1"},{"type":"function","title":"KantaWeb.Components.Icons.arrow_right/1","doc":"","ref":"KantaWeb.Components.Icons.html#arrow_right/1"},{"type":"function","title":"KantaWeb.Components.Icons.box/1","doc":"","ref":"KantaWeb.Components.Icons.html#box/1"},{"type":"function","title":"KantaWeb.Components.Icons.chevrons_up_down/1","doc":"","ref":"KantaWeb.Components.Icons.html#chevrons_up_down/1"},{"type":"function","title":"KantaWeb.Components.Icons.inspect/1","doc":"","ref":"KantaWeb.Components.Icons.html#inspect/1"},{"type":"function","title":"KantaWeb.Components.Icons.languages/1","doc":"","ref":"KantaWeb.Components.Icons.html#languages/1"},{"type":"function","title":"KantaWeb.Components.Icons.menu/1","doc":"","ref":"KantaWeb.Components.Icons.html#menu/1"},{"type":"function","title":"KantaWeb.Components.Icons.moon/1","doc":"","ref":"KantaWeb.Components.Icons.html#moon/1"},{"type":"function","title":"KantaWeb.Components.Icons.search/1","doc":"","ref":"KantaWeb.Components.Icons.html#search/1"},{"type":"module","title":"KantaWeb.Components.Shared.Logo","doc":"Kanta Logo component","ref":"KantaWeb.Components.Shared.Logo.html"},{"type":"function","title":"KantaWeb.Components.Shared.Logo.render/1","doc":"","ref":"KantaWeb.Components.Shared.Logo.html#render/1"},{"type":"module","title":"KantaWeb.Components.Shared.Pagination","doc":"Shared pagination component","ref":"KantaWeb.Components.Shared.Pagination.html"},{"type":"function","title":"KantaWeb.Components.Shared.Pagination.render/1","doc":"","ref":"KantaWeb.Components.Shared.Pagination.html#render/1"},{"type":"module","title":"KantaWeb.Components.Shared.SearchInput","doc":"Simple search input component","ref":"KantaWeb.Components.Shared.SearchInput.html"},{"type":"function","title":"KantaWeb.Components.Shared.SearchInput.render/1","doc":"","ref":"KantaWeb.Components.Shared.SearchInput.html#render/1"},{"type":"function","title":"Attributes - KantaWeb.Components.Shared.SearchInput.render/1","doc":"* `label` (`:string`) (required)\n* `name` (`:any`)\n* `value` (`:any`)\n* Global attributes are accepted.","ref":"KantaWeb.Components.Shared.SearchInput.html#render/1-attributes"},{"type":"module","title":"KantaWeb.Components.Shared.Select","doc":"Shared select component","ref":"KantaWeb.Components.Shared.Select.html"},{"type":"function","title":"KantaWeb.Components.Shared.Select.handle_event/3","doc":"","ref":"KantaWeb.Components.Shared.Select.html#handle_event/3"},{"type":"function","title":"KantaWeb.Components.Shared.Select.render/1","doc":"","ref":"KantaWeb.Components.Shared.Select.html#render/1"},{"type":"function","title":"KantaWeb.Components.Shared.Select.update/2","doc":"","ref":"KantaWeb.Components.Shared.Select.html#update/2"},{"type":"module","title":"KantaWeb.Components.Shared.Tabs","doc":"Tabs component","ref":"KantaWeb.Components.Shared.Tabs.html"},{"type":"function","title":"KantaWeb.Components.Shared.Tabs.handle_event/3","doc":"","ref":"KantaWeb.Components.Shared.Tabs.html#handle_event/3"},{"type":"function","title":"KantaWeb.Components.Shared.Tabs.render/1","doc":"","ref":"KantaWeb.Components.Shared.Tabs.html#render/1"},{"type":"function","title":"KantaWeb.Components.Shared.Tabs.update/2","doc":"","ref":"KantaWeb.Components.Shared.Tabs.html#update/2"},{"type":"module","title":"KantaWeb.Components.Shared.Toggle","doc":"Toggle/Checkbox component","ref":"KantaWeb.Components.Shared.Toggle.html"},{"type":"function","title":"KantaWeb.Components.Shared.Toggle.handle_event/3","doc":"","ref":"KantaWeb.Components.Shared.Toggle.html#handle_event/3"},{"type":"function","title":"KantaWeb.Components.Shared.Toggle.render/1","doc":"","ref":"KantaWeb.Components.Shared.Toggle.html#render/1"},{"type":"function","title":"KantaWeb.Components.Shared.Toggle.update/2","doc":"","ref":"KantaWeb.Components.Shared.Toggle.html#update/2"},{"type":"module","title":"KantaWeb.Dashboard.DashboardLive","doc":"","ref":"KantaWeb.Dashboard.DashboardLive.html"},{"type":"function","title":"KantaWeb.Dashboard.DashboardLive.mount/3","doc":"","ref":"KantaWeb.Dashboard.DashboardLive.html#mount/3"},{"type":"function","title":"KantaWeb.Dashboard.DashboardLive.render/1","doc":"","ref":"KantaWeb.Dashboard.DashboardLive.html#render/1"},{"type":"function","title":"KantaWeb.Dashboard.DashboardLive.translation_progress/1","doc":"","ref":"KantaWeb.Dashboard.DashboardLive.html#translation_progress/1"},{"type":"module","title":"KantaWeb.Router","doc":"","ref":"KantaWeb.Router.html"},{"type":"function","title":"KantaWeb.Router.call/2","doc":"Callback invoked by Plug on every request.","ref":"KantaWeb.Router.html#call/2"},{"type":"function","title":"KantaWeb.Router.init/1","doc":"Callback required by Plug that initializes the router\nfor serving web requests.","ref":"KantaWeb.Router.html#init/1"},{"type":"macro","title":"KantaWeb.Router.kanta_dashboard/2","doc":"","ref":"KantaWeb.Router.html#kanta_dashboard/2"},{"type":"module","title":"KantaWeb.Translations.Components.FiltersBar","doc":"Messages filters bar component","ref":"KantaWeb.Translations.Components.FiltersBar.html"},{"type":"function","title":"KantaWeb.Translations.Components.FiltersBar.render/1","doc":"","ref":"KantaWeb.Translations.Components.FiltersBar.html#render/1"},{"type":"function","title":"KantaWeb.Translations.Components.FiltersBar.update/2","doc":"","ref":"KantaWeb.Translations.Components.FiltersBar.html#update/2"},{"type":"module","title":"KantaWeb.Translations.Components.MessagesTable","doc":"Gettext messages table component","ref":"KantaWeb.Translations.Components.MessagesTable.html"},{"type":"function","title":"KantaWeb.Translations.Components.MessagesTable.handle_event/3","doc":"","ref":"KantaWeb.Translations.Components.MessagesTable.html#handle_event/3"},{"type":"function","title":"KantaWeb.Translations.Components.MessagesTable.is_translated/3","doc":"","ref":"KantaWeb.Translations.Components.MessagesTable.html#is_translated/3"},{"type":"function","title":"KantaWeb.Translations.Components.MessagesTable.original_text/2","doc":"","ref":"KantaWeb.Translations.Components.MessagesTable.html#original_text/2"},{"type":"function","title":"KantaWeb.Translations.Components.MessagesTable.render/1","doc":"","ref":"KantaWeb.Translations.Components.MessagesTable.html#render/1"},{"type":"function","title":"KantaWeb.Translations.Components.MessagesTable.translated_plural_text/3","doc":"","ref":"KantaWeb.Translations.Components.MessagesTable.html#translated_plural_text/3"},{"type":"function","title":"KantaWeb.Translations.Components.MessagesTable.translated_singular_text/3","doc":"","ref":"KantaWeb.Translations.Components.MessagesTable.html#translated_singular_text/3"},{"type":"function","title":"KantaWeb.Translations.Components.MessagesTable.translated_text/2","doc":"","ref":"KantaWeb.Translations.Components.MessagesTable.html#translated_text/2"},{"type":"function","title":"KantaWeb.Translations.Components.MessagesTable.update/2","doc":"","ref":"KantaWeb.Translations.Components.MessagesTable.html#update/2"},{"type":"module","title":"KantaWeb.Translations.ContextLive","doc":"","ref":"KantaWeb.Translations.ContextLive.html"},{"type":"function","title":"KantaWeb.Translations.ContextLive.mount/3","doc":"","ref":"KantaWeb.Translations.ContextLive.html#mount/3"},{"type":"function","title":"KantaWeb.Translations.ContextLive.render/1","doc":"","ref":"KantaWeb.Translations.ContextLive.html#render/1"},{"type":"module","title":"KantaWeb.Translations.ContextsLive","doc":"","ref":"KantaWeb.Translations.ContextsLive.html"},{"type":"function","title":"KantaWeb.Translations.ContextsLive.handle_event/3","doc":"","ref":"KantaWeb.Translations.ContextsLive.html#handle_event/3"},{"type":"function","title":"KantaWeb.Translations.ContextsLive.mount/3","doc":"","ref":"KantaWeb.Translations.ContextsLive.html#mount/3"},{"type":"function","title":"KantaWeb.Translations.ContextsLive.render/1","doc":"","ref":"KantaWeb.Translations.ContextsLive.html#render/1"},{"type":"module","title":"KantaWeb.Translations.ContextsTable","doc":"Gettext contexts table component","ref":"KantaWeb.Translations.ContextsTable.html"},{"type":"function","title":"KantaWeb.Translations.ContextsTable.handle_event/3","doc":"","ref":"KantaWeb.Translations.ContextsTable.html#handle_event/3"},{"type":"function","title":"KantaWeb.Translations.ContextsTable.render/1","doc":"","ref":"KantaWeb.Translations.ContextsTable.html#render/1"},{"type":"function","title":"KantaWeb.Translations.ContextsTable.update/2","doc":"","ref":"KantaWeb.Translations.ContextsTable.html#update/2"},{"type":"module","title":"KantaWeb.Translations.DomainLive","doc":"","ref":"KantaWeb.Translations.DomainLive.html"},{"type":"function","title":"KantaWeb.Translations.DomainLive.mount/3","doc":"","ref":"KantaWeb.Translations.DomainLive.html#mount/3"},{"type":"function","title":"KantaWeb.Translations.DomainLive.render/1","doc":"","ref":"KantaWeb.Translations.DomainLive.html#render/1"},{"type":"module","title":"KantaWeb.Translations.DomainsLive","doc":"","ref":"KantaWeb.Translations.DomainsLive.html"},{"type":"function","title":"KantaWeb.Translations.DomainsLive.handle_event/3","doc":"","ref":"KantaWeb.Translations.DomainsLive.html#handle_event/3"},{"type":"function","title":"KantaWeb.Translations.DomainsLive.mount/3","doc":"","ref":"KantaWeb.Translations.DomainsLive.html#mount/3"},{"type":"function","title":"KantaWeb.Translations.DomainsLive.render/1","doc":"","ref":"KantaWeb.Translations.DomainsLive.html#render/1"},{"type":"module","title":"KantaWeb.Translations.DomainsTable","doc":"Gettext domains table component","ref":"KantaWeb.Translations.DomainsTable.html"},{"type":"function","title":"KantaWeb.Translations.DomainsTable.handle_event/3","doc":"","ref":"KantaWeb.Translations.DomainsTable.html#handle_event/3"},{"type":"function","title":"KantaWeb.Translations.DomainsTable.render/1","doc":"","ref":"KantaWeb.Translations.DomainsTable.html#render/1"},{"type":"function","title":"KantaWeb.Translations.DomainsTable.update/2","doc":"","ref":"KantaWeb.Translations.DomainsTable.html#update/2"},{"type":"module","title":"KantaWeb.Translations.LocalesLive","doc":"","ref":"KantaWeb.Translations.LocalesLive.html"},{"type":"function","title":"KantaWeb.Translations.LocalesLive.generate_locale_gradient/1","doc":"","ref":"KantaWeb.Translations.LocalesLive.html#generate_locale_gradient/1"},{"type":"function","title":"KantaWeb.Translations.LocalesLive.mount/3","doc":"","ref":"KantaWeb.Translations.LocalesLive.html#mount/3"},{"type":"function","title":"KantaWeb.Translations.LocalesLive.render/1","doc":"","ref":"KantaWeb.Translations.LocalesLive.html#render/1"},{"type":"module","title":"KantaWeb.Translations.PluralTranslationForm","doc":"Plural translation form component","ref":"KantaWeb.Translations.PluralTranslationForm.html"},{"type":"function","title":"KantaWeb.Translations.PluralTranslationForm.handle_event/3","doc":"","ref":"KantaWeb.Translations.PluralTranslationForm.html#handle_event/3"},{"type":"function","title":"KantaWeb.Translations.PluralTranslationForm.plural_examples/2","doc":"","ref":"KantaWeb.Translations.PluralTranslationForm.html#plural_examples/2"},{"type":"function","title":"KantaWeb.Translations.PluralTranslationForm.render/1","doc":"","ref":"KantaWeb.Translations.PluralTranslationForm.html#render/1"},{"type":"function","title":"KantaWeb.Translations.PluralTranslationForm.update/2","doc":"","ref":"KantaWeb.Translations.PluralTranslationForm.html#update/2"},{"type":"module","title":"KantaWeb.Translations.SingularTranslationForm","doc":"Singular translation form component","ref":"KantaWeb.Translations.SingularTranslationForm.html"},{"type":"function","title":"KantaWeb.Translations.SingularTranslationForm.handle_event/3","doc":"","ref":"KantaWeb.Translations.SingularTranslationForm.html#handle_event/3"},{"type":"function","title":"KantaWeb.Translations.SingularTranslationForm.render/1","doc":"","ref":"KantaWeb.Translations.SingularTranslationForm.html#render/1"},{"type":"function","title":"KantaWeb.Translations.SingularTranslationForm.update/2","doc":"","ref":"KantaWeb.Translations.SingularTranslationForm.html#update/2"},{"type":"module","title":"KantaWeb.Translations.TranslationFormLive","doc":"","ref":"KantaWeb.Translations.TranslationFormLive.html"},{"type":"function","title":"KantaWeb.Translations.TranslationFormLive.handle_params/3","doc":"","ref":"KantaWeb.Translations.TranslationFormLive.html#handle_params/3"},{"type":"function","title":"KantaWeb.Translations.TranslationFormLive.mount/3","doc":"","ref":"KantaWeb.Translations.TranslationFormLive.html#mount/3"},{"type":"function","title":"KantaWeb.Translations.TranslationFormLive.render/1","doc":"","ref":"KantaWeb.Translations.TranslationFormLive.html#render/1"},{"type":"module","title":"KantaWeb.Translations.TranslationsLive","doc":"","ref":"KantaWeb.Translations.TranslationsLive.html"},{"type":"function","title":"KantaWeb.Translations.TranslationsLive.handle_event/3","doc":"","ref":"KantaWeb.Translations.TranslationsLive.html#handle_event/3"},{"type":"function","title":"KantaWeb.Translations.TranslationsLive.handle_params/3","doc":"","ref":"KantaWeb.Translations.TranslationsLive.html#handle_params/3"},{"type":"function","title":"KantaWeb.Translations.TranslationsLive.mount/3","doc":"","ref":"KantaWeb.Translations.TranslationsLive.html#mount/3"},{"type":"function","title":"KantaWeb.Translations.TranslationsLive.render/1","doc":"","ref":"KantaWeb.Translations.TranslationsLive.html#render/1"},{"type":"module","title":"Redirect","doc":"Simple plug for redirecting to Kanta UI","ref":"Redirect.html"},{"type":"function","title":"Redirect.call/2","doc":"","ref":"Redirect.html#call/2"},{"type":"function","title":"Redirect.init/1","doc":"","ref":"Redirect.html#init/1"},{"type":"macro","title":"Redirect.redirect/4","doc":"","ref":"Redirect.html#redirect/4"},{"type":"extras","title":"How to write plugins?","doc":"# How to write plugins?\n\nKanta allows you to expand its core features using plugins.\n\nA plugin refers to any module that initiates a process and exposes a `start_link/1` function. During startup, Kanta automatically inserts each plugin into its supervision tree.\n\nPlugins have the capability to enhance Kanta's user interface by defining their own Phoenix components.\n\nAt Curiosum, we currently maintain two plugins:\n\n- [DeepL Plugin](https://github.com/curiosum-dev/kanta_deep_l_plugin)\n- [PO Writer Plugin](https://github.com/curiosum-dev/kanta_po_writer_plugin)\n\nFeel welcome to explore their code for a deeper understanding of their setup.","ref":"how-to-write-plugins.html"},{"type":"extras","title":"Getting started - How to write plugins?","doc":"The first thing you have to do after creating brand new mix project is a module which name will be an entry point for your plugin. It also must contain a GenServer that will be added to Kanta's supervisor.\n\n```bash\nmix new your_plugin_name\n```\n\n**lib/your_plugin_name.ex**:\n\n```elixir\ndefmodule YourPluginName do\n  @moduledoc \"\"\"\n  Kanta YourPluginName integration plugin\n  \"\"\"\n\n  use GenServer\n\n  def start_link(opts) do\n    GenServer.start_link(__MODULE__, opts, name: opts[:name])\n  end\n\n  def init(_opts) do\n    {:ok, %{}}\n  end\nend\n```\n\nLet's add this custom plugin to your testing app that uses Kanta.\nFor a smooth initiation, we've got your back with our [kanta-example-app](https://github.com/curiosum-dev/kanta-example-app). Use it as the foundation for your testing app that incorporates Kanta and your custom plugin.\n\nFirst, add your plugin to `deps` list, then to Kanta's `plugins` config.\n\n**mix.exs**:\n\n```\ndefp deps do\n    # ...\n    {:your_plugin_name, path: \"../your_plugin_name\"}\nend\n```\n\n**config/config.exs**:\n\n```\nconfig :kanta_test, Kanta,\n  plugins: [\n    {YourPluginName, []}\n  ]\n```","ref":"how-to-write-plugins.html#getting-started"},{"type":"extras","title":"Tweaking UI - How to write plugins?","doc":"First, add `phoenix_live_view` and `kanta` to your plugins deps:\n\n**mix.exs**:\n\n```elixir\ndefp deps do\n[\n    {:phoenix_live_view, \"~> 0.18\"},\n    {:kanta, \">= 0.1.3\"},\n]\nend\n```\n\n#","ref":"how-to-write-plugins.html#tweaking-ui"},{"type":"extras","title":"Adding panel to dashboard - How to write plugins?","doc":"With a simple creation of a component named `YourPluginName.DashboardComponent`, you can seamlessly integrate your plugin's panel into the Kanta dashboard. The components name plays a crucial role, because it's derived from the module name passed in the configuration file's `plugins` list.\n\n**lib/dashboard_component**:\n\n```elixir\ndefmodule YourPluginName.DashboardComponent do\n  @moduledoc \"\"\"\n  Phoenix LiveComponent for Kanta dashboard\n  \"\"\"\n\n  use Phoenix.LiveComponent\n\n  def render(assigns) do\n    ~H\"\"\"\n       \n         \n           \n             status:   \n             YourPluginName \n           \n         \n       \n    \"\"\"\n  end\n\n  def update(assigns, socket) do\n    socket = assign(socket, :status, \"active\")\n\n    {:ok, assign(socket, assigns)}\n  end\nend\n```\n\n![Preview of plugin's panel added to the Kanta dashboard](assets/images/dashboard.png)\n\n#","ref":"how-to-write-plugins.html#adding-panel-to-dashboard"},{"type":"extras","title":"Adding custom form to translation edit view - How to write plugins?","doc":"Enhance the translation edit view with a touch of personalization, by creating a component named `YourPluginName.FormComponent`.\n\n**lib/form_component.ex**:\n\n```elixir\ndefmodule YourPluginName.FormComponent do\n  @moduledoc \"\"\"\n  Phoenix LiveComponent for Kanta translation form\n  \"\"\"\n\n  use Phoenix.LiveComponent\n\n  alias Kanta.Translations\n  alias Kanta.Translations.Message\n\n  def render(assigns) do\n    ~H\"\"\"\n       \n         \n           \n            Reset translation\n           \n         \n       \n    \"\"\"\n  end\n\n  def handle_event(\n        \"submit\",\n        _,\n        %{assigns: %{message: %Message{message_type: :singular}}} = socket\n      ) do\n    translation = socket.assigns.translation\n    Translations.update_singular_translation(translation, %{\"translated_text\" => \"\"})\n    {:noreply, socket}\n  end\n\n  def handle_event(\n        \"submit\",\n        _,\n        %{assigns: %{message: %Message{message_type: :plural}}} = socket\n      ) do\n    translation = socket.assigns.translation\n    Translations.update_plural_translation(translation, %{\"translated_text\" => \"\"})\n    {:noreply, socket}\n  end\nend\n```\n\n![Preview of plugin's button added to the Kanta form component](assets/images/form-component.png)\n\nKanta passes keyword list with values that you can use inside your component:\n\n- `id` - name of your plugin\n- `message` - `Kanta.Translations.Message` struct, for example\n\n  ```elixir\n  %Kanta.Translations.Message{\n    id: 1,\n    msgid: \"Actions\",\n    message_type: :singular,\n    domain_id: 1,\n    domain: #Ecto.Association.NotLoaded ,\n    context_id: nil,\n    context: #Ecto.Association.NotLoaded ,\n    singular_translations: #Ecto.Association.NotLoaded ,\n    plural_translations: #Ecto.Association.NotLoaded ,\n    inserted_at: ~N[2023-08-02 10:19:57],\n    updated_at: ~N[2023-08-02 10:19:57]\n  }\n  ```\n\n- `locale` - `Kanta.Translations.Locale` struct, for example:\n\n  ```elixir\n  %Kanta.Translations.Locale{\n      id: 4,\n      iso639_code: \"it\",\n      name: \"Italian\",\n      native_name: \"Italiano\",\n      family: \"Indo-European\",\n      wiki_url: \"https://en.wikipedia.org/wiki/Italian_language\",\n      plurals_header: \"nplurals=2; plural=(n != 1);\",\n      colors: [\"#499348\", \"#FFFFFF\", \"#CF3737\"],\n      singular_translations: #Ecto.Association.NotLoaded ,\n      inserted_at: ~N[2023-08-02 10:19:57],\n      updated_at: ~N[2023-08-02 10:19:57]\n    }\n  ```\n\n- `translation` - either `Kanta.Translations.SingularTranslation` or `Kanta.Translations.PluralTranslation`, for example\n\n  ```elixir\n  %Kanta.Translations.SingularTranslation{\n    id: 91,\n    original_text: nil,\n    translated_text: \"Azioni\",\n    locale_id: 4,\n    locale: #Ecto.Association.NotLoaded ,\n    message_id: 1,\n    message: #Ecto.Association.NotLoaded ,\n    inserted_at: ~N[2023-08-02 10:19:57],\n    updated_at: ~N[2023-08-02 12:30:29]\n  }\n  ```","ref":"how-to-write-plugins.html#adding-custom-form-to-translation-edit-view"},{"type":"extras","title":"Passing credentials or API keys - How to write plugins?","doc":"Securely power your plugin with credentials or API keys. As the second tuple element in the plugins list, you can conveniently pass additional information to further elevate your plugin's capabilities.\n\n**config/config.exs**:\n\n```\nconfig :kanta_test, Kanta,\n  plugins: [\n    {YourPluginName, [credentials: %{token: :curiosum}]}\n  ]\n```\n\nThen they can be accessed inside your plugin with\n\n```elixir\ndefp get_credentials do\n    case Enum.find(Kanta.config().plugins, &(elem(&1, 0) == YourPluginName)) do\n      nil -> raise \"missing credentials\"\n      {_, config} -> Keyword.get(config, :credentials)\n    end\nend\n```","ref":"how-to-write-plugins.html#passing-credentials-or-api-keys"},{"type":"extras","title":"Kanta internal API - How to write plugins?","doc":"Kanta revolves around the finders, handlers, services, and values pattern. This pattern boosts coding efficiency. Learn more: [Four Patterns to Save your Codebase and your Sanity](https://remote.com/blog/introducing-phx_gen_solid#finders-handlers-services-and-values).","ref":"how-to-write-plugins.html#kanta-internal-api"}],"content_type":"text/markdown"}